{% extends "base.html" %}

{% block content %}
    <div>
        <h1>{{ project.name }}</h1>
        <p>{{ project.description }}</p>
        <h2>Tasks</h2>
        <p>
            <a href="{% url "create_task" %}">Create a new task</a>
        </p>
        {% if project.tasks.exists %}
            <table>
                <thead>
                    <tr>
                        <td>Name</td>
                        <td>Assignee</td>
                        <td>Start date</td>
                        <td>Due date</td>
                        <td>Is completed</td>
                    </tr>
                </thead>
                <tbody>
                    {% for task in project.tasks.all %}
                        <tr>
                            <td>{{ task.name }}</td>
                            <td>{{ task.assignee }}</td>
                            <td>{{ task.start_date }}</td>
                            <td>{{ task.due_date }}</td>
                            <td>{{ task.is_completed|yesno }}</td>
                        </tr>
                    {% endfor %}
                </tbody>
            </table>
        {% else %}
            <p>This project has no tasks.</p>
        {% endif %}
    </div>
{% endblock content %}
